Package com.opensymphony.module.sitemesh.mapper

# Class InlineDecoratorMapper

java.lang.Object
com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
com.opensymphony.module.sitemesh.mapper.InlineDecoratorMapper

All Implemented Interfaces:
  `DecoratorMapper`, `RequestConstants`

public class InlineDecoratorMapper extends AbstractDecoratorMapper implements RequestConstants
The InlineDecoratorMapper is used to determine the correct Decorator when using inline decorators.

It will check the request attribute value defined by the key `RequestConstants.DECORATOR` and use the appropriate named Decorator. This is passed across from the page:applyDecorator tag.

Version:
  $Revision: 1.2 $
Author:
  Joe Walnes
See Also:
  - `DecoratorMapper`

## Field Summary

### Fields inherited from class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper

`config, parent`

### Fields inherited from interface com.opensymphony.module.sitemesh.RequestConstants

`DECORATOR, PAGE, ROBOT`

## Constructor Summary

Constructors
Constructor
Description
`InlineDecoratorMapper()`

## Method Summary

Modifier and Type
Method
Description
`Decorator`
`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
Delegate to parent.

### Methods inherited from class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper

`getNamedDecorator, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InlineDecoratorMapper

public InlineDecoratorMapper()

## Method Details

### getDecorator

public Decorator getDecorator(javax.servlet.http.HttpServletRequest request, Page page)
Description copied from class: `AbstractDecoratorMapper`
Delegate to parent.

Specified by:
  `getDecorator` in interface `DecoratorMapper`
Overrides:
  `getDecorator` in class `AbstractDecoratorMapper`